<template>
  <div class="navbar">
    <div class="navbar__left">
      <h2>Movies</h2>
    </div>
    <div class="navbar__center">
      <router-link to="/">Home</router-link>
      <router-link to="/popular">Popular</router-link>
      <router-link to="/valoradas">Mas Valoradas</router-link>
    </div>
    <div class="navbar__right">
      <ion-icon name="person-outline"></ion-icon>
    </div>
  </div>
</template>

<script>
export default {
  name: "NavBar"
}
</script>

<style lang="scss">
@import "@/assets/sass/index.scss";

.navbar {
  position: sticky;
  top: 0;
  background-color: $background-primary;
  padding: 20px 80px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  z-index: 1;

  @media (max-width: 900px) {
    padding: 10px 20px;
  }

  &__center {
    a {
      text-decoration: none;
      text-transform: uppercase;
      font-size: 12px;
      color: #fff;
      margin-right: 16px;
      padding: 20px;
      transition: all 0.4s ease;
      transform: translateY(0px);

      &:hover {
        transform: translateY(4px);
        color: rgb(255, 198, 40);
      }
    }
  }
}
</style>